# Az - Storage Persistence

{{#include ../../../banners/hacktricks-training.md}}

## Storage Privesc

Vir meer inligting oor stoor, kyk:

{{#ref}}
../az-services/az-storage.md
{{#endref}}

### Algemene truuks

- Hou die toegang sleutels
- Genereer SAS
- Gebruiker gedelegeer is 7 dae maksimum

### Microsoft.Storage/storageAccounts/blobServices/containers/update && Microsoft.Storage/storageAccounts/blobServices/deletePolicy/write

Hierdie toestemmings laat die gebruiker toe om blob diens eienskappe te wysig vir die houer verwydering behoud kenmerk, wat die behoud tydperk vir verwyderde houers aktiveer of konfigureer. Hierdie toestemmings kan gebruik word om volharding te handhaaf om 'n geleentheid te bied vir die aanvaller om verwyderde houers wat permanent verwyder moes gewees het, te herstel of te manipuleer en toegang tot sensitiewe inligting te verkry.
```bash
az storage account blob-service-properties update \
--account-name <STORAGE_ACCOUNT_NAME> \
--enable-container-delete-retention true \
--container-delete-retention-days 100
```
### Microsoft.Storage/storageAccounts/read && Microsoft.Storage/storageAccounts/listKeys/action

Hierdie toestemmings kan die aanvaller in staat stel om die retensiebeleide te wysig, verwyderde data te herstel, en toegang te verkry tot sensitiewe inligting.
```bash
az storage blob service-properties delete-policy update \
--account-name <STORAGE_ACCOUNT_NAME> \
--enable true \
--days-retained 100
```
{{#include ../../../banners/hacktricks-training.md}}
